[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.ReadValue

Reads the type of the next value.

## Declaration

Source position: classesh.inc line 1102

`public function TAbstractObjectReader.ReadValue: TValueType; virtual; abstract;`

## Description

This function returns the type of the next value in the stream and reads it. i.e. after the call to this method, the stream is positioned to read the value of the type returned by this function.

## See also

TAbstractObjectReader.ReadValue |  | Reads the type of the next value.

Documentation generated on: Feb 26 2014